Text search
Search through conversation transcript messages by full-text and fuzzy search
Headers
Query parameters
The search query text for full-text and fuzzy matching
Agent id (agent_…) or speech engine external id (seng_), resolved to the same underlying resource.
Unix timestamp (in seconds) to filter conversations up to this start date.
Unix timestamp (in seconds) to filter conversations after to this start date.
Maximum overall rating (1-5).
Minimum overall rating (1-5).
Evaluation filters. Repeat param. Format: criteria_id:result where result is one of success|failure|unknown. Example: eval=value_framing:success
Data collection filters. Repeat param. Format: id:op:value where op is one of eq|neq|gt|gte|lt|lte|in. For in, pipe-delimit values. An empty value matches conversations where the field was not collected (id:eq:), and neq with an empty value matches where it was (id:neq:). eq is exact equality. gt|gte|lt|lte require a numeric value.
Dynamic variable filters. Repeat param. Format: name:op:value where op is one of eq|neq|gt|gte|lt|lte|in. For in, pipe-delimit values. An empty value matches conversations where the variable was not set (name:eq:), and neq with an empty value matches where it was (name:neq:). eq is exact equality. gt|gte|lt|lte require a numeric value. Names containing ’:’ cannot be expressed.
Filter conversations by IDs of tools used during the call. Use ‘_system<tool_name>’ for system tools. Unlike tool_names, distinguishes between tools that share a name.
Filter conversations by detected main language (language code).
Exclude conversations with the given statuses. Useful for hiding in-progress / processing conversations from list views.
Filter conversations by their stored termination_reason (metadata.termination_reason). Repeat param to match any of several.
Sort order for search results. ‘search_score’ sorts by search score, ‘created_at’ sorts by conversation start time.